<?php

namespace App\Modules\BookingAssign\Domain;

class UpdateBookingAssign
{

    public function __construct(
        private IdBookingAssign $id,
        private BookingAssignRemark $remark,
        private BookingAssignStatus $status,
    ) {
    }

    public function id(): IdBookingAssign
    {
        return $this->id;
    }

    public function remark(): BookingAssignRemark
    {
        return $this->remark;
    }

    public function status(): BookingAssignStatus
    {
        return $this->status;
    }

}
